---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  labels:
    app: metallb
  name: {{ include "metallb.fullname" . }}-config-watcher
  namespace: {{ .Release.Namespace }}
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: {{ include "metallb.fullname" . }}-config-watcher
subjects:
- kind: ServiceAccount
  name: {{ include "metallb.fullname" . }}-controller
- kind: ServiceAccount
  name: {{ include "metallb.fullname" . }}-speaker
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  labels:
    app: metallb
  name: {{ include "metallb.fullname" . }}-pod-lister
  namespace: {{ .Release.Namespace }}
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: {{ include "metallb.fullname" . }}-pod-lister
subjects:
- kind: ServiceAccount
  name: {{ include "metallb.fullname" . }}-speaker
